2002-02-15 15:55  cvs_mhall

	* weka/gui/GUIChooser.java (1.9): Changed year

2002-02-15 15:53  cvs_mhall

	* weka/build.xml (1.4): Minor bug fix in release mode

2002-02-15 15:09  cvs_mhall

	* weka/build.xml (1.3): Updated to reflect package changes in weka

2002-02-15 14:50  cvs_mhall

	* weka/classifiers/trees/m5/Impurity.java (1.6): Removed references
	to M5Utils

2002-02-15 12:20  cvs_rbk1

	* weka/Makefile (1.34): Added datagenerators package.

2002-02-15 12:09  cvs_rbk1

	* weka/datagenerators/Makefile (1.1): Initial import.

2002-02-15 12:05  cvs_rbk1

	* weka/datagenerators/: BIRCHCluster.java (1.1),
	ClusterGenerator.java (1.1), Generator.java (1.1), RDG1.java (1.1),
	Test.java (1.1): Initial import.

2002-02-15 11:02  cvs_eibe

	* weka/classifiers/functions/SMO.java (1.28): Added a method to
	extract votes.

2002-02-15 10:48  cvs_mhall

	* weka/gui/GenericObjectEditor.props (1.54): Removed M5Prime, added
	M5P and M5Rules

2002-02-15 10:47  cvs_mhall

	* weka/classifiers/trees/m5/Makefile (1.3): Updated to reflect
	changes to the m5 package

2002-02-15 10:44  cvs_mhall

	* weka/classifiers/rules/M5Rules.java (1.1): Initial import

2002-02-15 10:43  cvs_mhall

	* weka/classifiers/trees/m5/: CorrelationSplitInfo.java (1.1),
	M5Base.java (1.1), M5P.java (1.1), Rule.java (1.1), RuleNode.java
	(1.1), SplitEvaluate.java (1.1), YongSplitInfo.java (1.1): Initial
	import (clean room implentation)

2002-02-15 10:37  cvs_gabi

	* weka/core/Matrix.java (1.16): added Eigenvaluedecomposition;
	corrected some comments, mainly function descriptions

2002-02-15 10:35  cvs_gabi

	* weka/attributeSelection/PrincipalComponents.java (1.18): replaced
	jacobi with eigenvalue decomposition

2002-02-15 10:25  cvs_mhall

	* weka/classifiers/trees/m5/: Dvector.java (1.6), Errors.java
	(1.6), Function.java (1.6), Ivector.java (1.6), M5Prime.java
	(1.19), M5Utils.java (1.6), Matrix.java (1.7), Measures.java (1.7),
	Node.java (1.8), Options.java (1.6), SplitInfo.java (1.6): Removed
	to make way for clean room implementation

2002-02-13 08:58  cvs_eibe

	* weka/filters/StringToWordVectorFilter.java (1.9): Gordon Paynter
	added some options to the StringToWordVectorFilter

2002-02-12 12:02  cvs_rrb

	* weka/classifiers/bayes/test.txt (1.3): delete test

2002-02-12 11:58  cvs_rrb

	* weka/classifiers/bayes/test.txt (1.2): check in test

2002-02-12 11:56  cvs_rrb

	* weka/classifiers/bayes/test.txt (1.1): This is a test

2002-02-11 10:57  cvs_rbk1

	* weka/gui/GenericObjectEditor.props (1.53): Removed
	EmptyAttributeFilter and added UselessAttributeFilter.

2002-02-11 10:52  cvs_rbk1

	* weka/filters/EmptyAttributeFilter.java (1.8): Removed - has been
	superceeded by UselessAttributeFilter.

2002-02-11 10:47  cvs_rbk1

	* weka/filters/UselessAttributeFilter.java (1.1): Initial import.

2002-02-11 10:39  cvs_rbk1

	* weka/filters/AttributeTypeFilter.java (1.12): Has been rewritten.
	Now uses AttributeFilter to do the filtering work.

2002-02-11 10:06  cvs_rbk1

	* weka/classifiers/functions/Winnow.java (1.2): Can now handle
	sparse instances and fixes the previously-unset prediction
	threshold for the balanced variant.

2002-02-07 14:10  cvs_mhall

	* weka/classifiers/trees/j48/ClassifierTree.java (1.14): No longer
	prints empty data sets when producing graph

2002-02-05 10:42  cvs_rbk1

	* weka/clusterers/Makefile (1.4): Added DistributionMetaClusterer.

2002-02-05 10:36  cvs_rbk1

	* weka/clusterers/DistributionMetaClusterer.java (1.6): Has been
	rewritten.

2002-02-04 16:40  cvs_rbk1

	* weka/classifiers/meta/DistributionMetaClassifier.java (1.8): Has
	been rewritten.

2002-02-04 11:16  cvs_rbk1

	* weka/core/converters/AbstractLoader.java (1.4): Has been
	rewritten.

2002-02-04 10:41  cvs_rbk1

	* weka/core/SerializedObject.java (1.7): Added equals and hash
	functions.

2002-02-04 08:16  cvs_mhall

	* weka/core/SerializedObject.java (1.6): fixed bug that prevented
	the retrieval of the serialized object

2002-02-01 11:45  cvs_mhall

	* weka/core/: Instances.java (1.35), Utils.java (1.33): Changed
	Instances.java and Utils.java to not allow negative variance
	(Eibe).

2002-02-01 11:20  cvs_rbk1

	* weka/gui/GenericObjectEditor.props (1.52): Added Winnow.

2002-02-01 11:16  cvs_rbk1

	* weka/classifiers/functions/Makefile (1.2): Added Winnow.

2002-02-01 11:15  cvs_rbk1

	* weka/classifiers/functions/Winnow.java (1.1): Initial import.

2002-01-31 16:46  cvs_eibe

	* weka/: core/Statistics.java (1.6),
	attributeSelection/RaceSearch.java (1.10): Made incomplete gamma
	function public in Statistics.java and made some cosmetic changes
	to RaceSearch

2002-01-31 15:57  cvs_eibe

	* weka/classifiers/functions/SMO.java (1.27): Fixed problem with
	numerical stability in SMO.java.


2002-01-31 12:05  cvs_eibe

	* weka/: classifiers/SMO.java, core/Matrix.java
	(stable-3-2-1.[1,1]): Fixed bug in weighted regression in
	Matrix.java (was using square of weight) and fixed numerical
	stability problems in SMO.java

2002-01-30 17:11  cvs_eibe

	* weka/classifiers/functions/: LinearRegression.java (1.16),
	Logistic.java (1.20): Made some cosmetic changes to Logistic.java
	and incoporated standardization into LinearRegression.java. Also:
	the number of attributes in the full model (for the Akaike
	procedure) is now computeted after constant and colinear attributes
	have been removed. This may change some results slightly.

2002-01-29 14:31  cvs_rbk1

	* weka/core/UnassignedDatasetException.java (1.3): Has been
	rewritten.

2002-01-29 14:27  cvs_rbk1

	* weka/core/: WekaException.java (1.3),
	UnsupportedAttributeTypeException.java (1.3),
	UnsupportedClassTypeException.java (1.3),
	UnassignedClassException.java (1.3): Has been rewritten.

2002-01-29 10:12  cvs_rbk1

	* weka/core/SerializedObject.java (1.5): Has been rewritten.

2002-01-26 21:20  cvs_eibe

	* weka/classifiers/functions/Logistic.java (1.19): Complete rewrite
	of Logistic.java based on LogitBoost and LinearRegression: simpler
	and better

2002-01-24 14:30  uid23405

	* weka/classifiers/meta/MultiClassClassifier.java (1.27): Added
	Option for random seed.

2002-01-24 14:23  uid23405

	* weka/classifiers/: functions/LinearRegression.java (1.15),
	lazy/LWR.java (1.12): Added more options

2002-01-24 14:21  uid23405

	* weka/core/Matrix.java (1.15): Made ridge parameter adjustable.

2002-01-24 14:13  uid23405

	* weka/classifiers/meta/LogitBoost.java (1.21): Implemented a
	couple of improvements and more options

2002-01-24 11:04  uid48523

	* weka/gui/CostMatrixEditor.java (1.6): Has been rewritten from
	scratch.

2002-01-22 14:49  uid48523

	* weka/core/Matrix.java (1.14): Fixed a comment.

2002-01-22 10:41  uid23405

	* weka/core/Matrix.java (1.13): Fixed bug in weighted regression
	method. Was using squares of weights instead of weights.

2002-01-21 17:48  uid23405

	* weka/classifiers/meta/AdditiveRegression.java (1.9): Made
	AdditiveRegression a WeightedInstancesHandler.

2002-01-15 17:28  uid23405

	* weka/gui/GenericObjectEditor.java (1.30): Some cosmetic changes

2002-01-15 16:11  uid23405

	* weka/gui/GenericObjectEditor.java (1.29): Fixed some bug in the
	GenericObjectEditor

2002-01-14 10:34  uid23405

	* weka/gui/Makefile (1.14): Update Makefile

2002-01-14 09:46  uid23405

	* weka/gui/HierachyPropertyParser.java (1.1): For Xin Xu's great
	hierarchical GenericObjectEditor.

2002-01-14 09:44  uid23405

	* weka/gui/GenericObjectEditor.java (1.28): Xin Xu's great
	hierarchical GenericObjectEditor.

2002-01-10 17:42  uid23405

	* weka/filters/AddFilter.java (1.19): Reversed changes to
	AddFilter.

2002-01-10 16:42  uid23405

	* weka/classifiers/evaluation/: CostCurve.java (1.4),
	ThresholdCurve.java (1.14): SMO is no longer a
	DistributionClassifier.

2002-01-10 16:30  uid23405

	* weka/filters/: MakeIndicatorFilter.java (1.16),
	StringToNominalFilter.java (1.7): Made these more memory-efficient.

2002-01-10 16:28  uid23405

	* weka/filters/AddFilter.java (1.18): Can now add string
	attributes.

2002-01-10 16:24  uid23405

	* weka/classifiers/functions/SMO.java (1.26): Changed SMO to deal
	with multi-class problems using 1-against-1 method. Also made a few
	other changes to make it more memory-efficient in the linear case.

2001-12-21 08:39  rkirkby

	* weka/filters/DiscretizeFilter.java (1.18): Very minor fix -
	removed a duplicate line.

2001-12-20 13:37  mhall

	* weka/build.xml (1.2): added some stuff to rmic the RemoteEngine
	and build a remoteExperimentServer jar file

2001-12-19 10:25  mhall

	* weka/classifiers/lazy/kstar/: KStarCache.java (1.6),
	LightHashTable.java (1.5): fixed serialization problem

2001-12-19 10:11  rkirkby

	* weka/gui/visualize/Plot2D.java (1.17): Made some private
	variables protected.

2001-12-19 10:09  rkirkby

	* weka/gui/visualize/ClassPanel.java (1.9): Made some protected
	methods public.

2001-12-19 09:55  eibe

	* weka/classifiers/bayes/BayesNet.java (1.4): Resolved numeric
	instability in classifier for instance (gave problems if the number
	of parameters in dataset is large).

2001-12-19 09:23  rkirkby

	* weka/classifiers/rules/Ridor.java (1.4): Using more sensible
	parameter names for benefit of GUI users.

2001-12-19 09:12  rkirkby

	* weka/classifiers/rules/ConjunctiveRule.java (1.3): New parameters
	added.

2001-12-08 14:20  rrb

	* weka/gui/GenericObjectEditor.props (1.51): Configured for
	BayesNetK2, removed BayesNetB2

2001-12-08 14:19  rrb

	* weka/classifiers/bayes/BayesNetK2.java (1.1): Implementation of
	the K2 algorithm of Cooper and Herskovitz

2001-12-05 13:21  rkirkby

	* weka/classifiers/rules/Ridor.java (1.3): The user can now specify
	the minimum number of instances in one antecedent in one rule (as
	C4.5 does).

2001-12-05 11:01  rkirkby

	* weka/classifiers/rules/ConjunctiveRule.java (1.2): Is now an
	independent rule learner that can handle both numeric and nominal
	classes. It considers the information gain/mean squared error of
	the whole data covered.

2001-12-04 14:27  rkirkby

	* weka/classifiers/CostMatrix.java (1.9): Has been rewritten.

2001-12-04 13:17  rkirkby

	* weka/: filters/Makefile (1.21), gui/GenericObjectEditor.props
	(1.50): Added AddNoiseFilter.

2001-12-04 13:10  rkirkby

	* weka/filters/AddNoiseFilter.java (1.1): Initial import.

2001-11-29 08:22  mhall

	* weka/gui/PropertySheetPanel.java (1.10): was calling get methods
	for all properties (even read only ones) when updating editors

2001-11-28 09:02  rkirkby

	* weka/gui/explorer/Explorer.java (1.21): Restored old behaviour
	where classify and cluster panels are disabled at launch.

2001-11-27 10:32  rkirkby

	* weka/gui/explorer/ClustererPanel.java (1.33): Removed save and
	load buttons - can now be accessed by right-clicking result list.

2001-11-26 11:21  rkirkby

	* weka/gui/explorer/ClassifierPanel.java (1.49): Load model option
	is now in all right-click popups, note about right-clicking has
	been added to result list title, and random seed is now 1 to be
	consistent with the command line.

2001-11-26 10:27  rkirkby

	* weka/gui/explorer/ClassifierPanel.java (1.48): Removed save and
	load buttons - can now be accessed through right click.

2001-11-23 14:36  rkirkby

	* weka/classifiers/rules/Ridor.java (1.2): Newly improved version.
	New parameters added, rules are now a private class and other
	changes.

2001-11-23 13:36  rkirkby

	* weka/clusterers/EM.java (1.16): Added underflow check and
	correction to improve stability.

2001-11-21 15:58  rkirkby

	* weka/classifiers/: bayes/NaiveBayes.java,
	bayes/NaiveBayesSimple.java, functions/LinearRegression.java,
	functions/Logistic.java, functions/SMO.java,
	functions/VotedPerceptron.java (stable-3-2-1.[1,1,1,2,1,1]):
	removed all files

2001-11-21 12:24  rkirkby

	* weka/classifiers/functions/neural/NeuralNetwork.java (1.8): Fixed
	bug in setOptions causing bad behaviour from the command line. 
	Thanks to Aldebaro Klautau for spotting this bug.

2001-11-20 17:11  mhall

	* weka/gui/ResultHistoryPanel.java (1.17): made the serializable
	inner adapter classes into public top level classes

2001-11-19 17:03  mhall

	* weka/core/converters/C45Loader.java (1.3): fixed bug in parsing
	of periods

2001-11-15 12:46  rkirkby

	* weka/classifiers/functions/Logistic.java (1.18): Call to solve
	matrix has changed.

2001-11-15 12:44  rkirkby

	* weka/core/Matrix.java (1.12): Matrix solving functions rewritten
	by Gabi.

2001-11-15 10:35  mhall

	* weka/clusterers/Cobweb.java (1.14): Now randomizes training
	instances

2001-11-14 11:42  mhall

	* weka/gui/ResultHistoryPanel.java (1.16): Fixed so that the panel
	works properly after serialization/deserialization

2001-11-13 11:36  rkirkby

	* weka/classifiers/bayes/: BayesNet.java (1.3),
	DiscreteEstimatorBayes.java (1.3): lnGamma() has shifted from
	SpecialFunctions to Statistics.

2001-11-13 11:35  rkirkby

	* weka/core/SpecialFunctions.java (1.5): lnGamma() has shifted to
	Statistics.java

2001-11-12 16:11  rkirkby

	* weka/gui/GenericObjectEditor.props (1.49): Arranged Classifiers &
	DistributionClassifiers alphabetically.

2001-11-12 09:43  mhall

	* weka/classifiers/lazy/kstar/KStarCache.java (1.5): made
	serializable

2001-11-10 09:40  eibe

	* weka/classifiers/trees/j48/BinC45ModelSelection.java (1.7):
	Minimum number of objects in leaves was always zero if -B option
	was set.

2001-11-09 17:29  rkirkby

	* weka/core/Makefile (1.10): Added ProtectedProperties.

2001-11-09 17:27  rkirkby

	* weka/classifiers/meta/MultiClassClassifier.java (1.26): Improved
	options and added 1-against-1 method.

2001-11-09 16:27  eibe

	* weka/classifiers/trees/REPTree.java (1.2): Fixed up output and
	visualization

2001-11-09 16:20  rkirkby

	* weka/core/Attribute.java (1.26): Added ability to set and
	retrieve meta data.

2001-11-09 16:19  rkirkby

	* weka/core/ProtectedProperties.java (1.1): Initial import.

2001-11-09 15:13  eibe

	* weka/gui/GenericObjectEditor.props (1.48): Removed BayesNet

2001-11-09 14:53  eibe

	* weka/gui/GenericObjectEditor.props (1.47): Updated because
	DecisionTree changed name.

2001-11-09 14:38  eibe

	* weka/classifiers/trees/Makefile (1.3): Updated Makefile to
	reflect name change of DecisionTree.

2001-11-09 14:37  eibe

	* weka/classifiers/trees/REPTree.java (1.1): Renamed
	DecisionTree.java and made some changes.

2001-11-09 14:37  eibe

	* weka/classifiers/trees/DecisionTree.java (1.2): Renamed
	DecisionTree.java

2001-11-09 13:02  rkirkby

	* weka/classifiers/: meta/Makefile (1.1), misc/Makefile (1.1):
	Initial import.

2001-11-09 12:53  rkirkby

	* weka/: classifiers/trees/Makefile (1.2),
	gui/GenericObjectEditor.props (1.46): Added DecisionTree.

2001-11-09 12:53  rkirkby

	* weka/classifiers/trees/DecisionTree.java (1.1): Initial import.

2001-11-09 12:51  rkirkby

	* weka/classifiers/trees/j48/Makefile (1.3): The PART-related
	classes have moved.

2001-11-09 12:44  rkirkby

	* weka/classifiers/bayes/Makefile (1.3): Added
	NaiveBayesUpdateable.

2001-11-09 12:10  rkirkby

	* weka/classifiers/bayes/NaiveBayes.java (1.11): Changed comments
	to reflect inclusion of NaiveBayesUpdateable classifier.

2001-11-09 12:09  rkirkby

	* weka/classifiers/bayes/NaiveBayesUpdateable.java (1.1): Initial
	import.

2001-11-08 17:44  rkirkby

	* weka/gui/GenericObjectEditor.props (1.45): Added Ridor and
	ConjunctiveRule.

2001-11-08 17:40  rkirkby

	* weka/classifiers/rules/Makefile (1.2): Added Ridor and
	ConjunctiveRule.

2001-11-08 17:40  trigg

	* weka/classifiers/bayes/Scoreable.java (1.3): Removed redundant
	keywords reported by +P option to jikes.

2001-11-08 17:40  rkirkby

	* weka/classifiers/rules/: Ridor.java (1.1), ConjunctiveRule.java
	(1.1): Initial import.

2001-11-07 17:44  rkirkby

	* weka/: classifiers/evaluation/CostCurve.java (1.3),
	classifiers/evaluation/MarginCurve.java (1.6),
	classifiers/evaluation/ThresholdCurve.java (1.13),
	experiment/ClassifierSplitEvaluator.java (1.17),
	experiment/RegressionSplitEvaluator.java (1.15),
	experiment/RemoteExperiment.java (1.11): shifted packages

2001-11-07 17:40  rkirkby

	* weka/gui/explorer/ClassifierPanel.java (1.47): shifted packages

2001-11-07 17:30  rkirkby

	* weka/classifiers/: lazy/Makefile (1.1), rules/Makefile (1.1),
	rules/part/Makefile (1.1), trees/Makefile (1.1), functions/Makefile
	(1.1): Initial import.

2001-11-07 17:29  rkirkby

	* weka/: attributeSelection/ClassifierSubsetEval.java (1.6),
	attributeSelection/WrapperSubsetEval.java (1.15),
	experiment/ClassifierSplitEvaluator.java (1.16),
	gui/GenericObjectEditor.props (1.44): shifted packages

2001-11-07 17:25  rkirkby

	* weka/classifiers/: BVDecompose.java (1.8), CheckClassifier.java
	(1.14), Evaluation.java (1.43), Makefile (1.28), bayes/Makefile
	(1.2), bayes/NaiveBayes.java (1.10), bayes/NaiveBayesSimple.java
	(1.9), functions/LeastMedSq.java (1.4),
	functions/LinearRegression.java (1.14), functions/Logistic.java
	(1.17), functions/SMO.java (1.25), functions/VotedPerceptron.java
	(1.12), functions/neural/LinearUnit.java (1.3),
	functions/neural/NeuralConnection.java (1.3),
	functions/neural/NeuralMethod.java (1.4),
	functions/neural/NeuralNetwork.java (1.7),
	functions/neural/NeuralNode.java (1.4),
	functions/neural/SigmoidUnit.java (1.3), lazy/IB1.java (1.9),
	lazy/IBk.java (1.19), lazy/KernelDensity.java (1.7), lazy/LWR.java
	(1.11), lazy/kstar/KStar.java (1.9), lazy/kstar/KStarCache.java
	(1.4), lazy/kstar/KStarConstants.java (1.5),
	lazy/kstar/KStarNominalAttribute.java (1.4),
	lazy/kstar/KStarNumericAttribute.java (1.4),
	lazy/kstar/KStarWrapper.java (1.4), lazy/kstar/LightHashTable.java
	(1.4), meta/AdaBoostM1.java (1.14), meta/AdditiveRegression.java
	(1.8), meta/AttributeSelectedClassifier.java (1.9),
	meta/Bagging.java (1.16), meta/CVParameterSelection.java (1.14),
	meta/ClassificationViaRegression.java (1.11), meta/Cleanser.java
	(1.3), meta/CostSensitiveClassifier.java (1.12),
	meta/DistributionMetaClassifier.java (1.7),
	meta/FilteredClassifier.java (1.15), meta/LogitBoost.java (1.20),
	meta/MetaCost.java (1.9), meta/MultiClassClassifier.java (1.25),
	meta/MultiScheme.java (1.11), meta/OrdinalClassClassifier.java
	(1.4), meta/RegressionByDiscretization.java (1.15),
	meta/Stacking.java (1.15), meta/ThresholdSelector.java (1.24),
	misc/HyperPipes.java (1.8), misc/VFI.java (1.6),
	rules/DecisionTable.java (1.23), rules/OneR.java (1.14),
	rules/Prism.java (1.13), rules/ZeroR.java (1.7),
	rules/part/C45PruneableDecList.java (1.5),
	rules/part/ClassifierDecList.java (1.7),
	rules/part/MakeDecList.java (1.8), rules/part/PART.java (1.16),
	rules/part/PruneableDecList.java (1.5), trees/DecisionStump.java
	(1.13), trees/Id3.java (1.8), trees/UserClassifier.java (1.9),
	trees/adtree/ADTree.java (1.4), trees/adtree/PredictionNode.java
	(1.3), trees/adtree/ReferenceInstances.java (1.2),
	trees/adtree/Splitter.java (1.2),
	trees/adtree/TwoWayNominalSplit.java (1.2),
	trees/adtree/TwoWayNumericSplit.java (1.2),
	trees/j48/BinC45ModelSelection.java (1.6),
	trees/j48/BinC45Split.java (1.7), trees/j48/C45ModelSelection.java
	(1.7), trees/j48/C45PruneableClassifierTree.java (1.8),
	trees/j48/C45Split.java (1.7), trees/j48/ClassifierSplitModel.java
	(1.7), trees/j48/ClassifierTree.java (1.13),
	trees/j48/Distribution.java (1.7),
	trees/j48/EntropyBasedSplitCrit.java (1.5),
	trees/j48/EntropySplitCrit.java (1.5),
	trees/j48/GainRatioSplitCrit.java (1.5),
	trees/j48/InfoGainSplitCrit.java (1.6), trees/j48/J48.java (1.24),
	trees/j48/ModelSelection.java (1.5), trees/j48/NoSplit.java (1.6),
	trees/j48/PruneableClassifierTree.java (1.6),
	trees/j48/SplitCriterion.java (1.5), trees/j48/Stats.java (1.7),
	trees/m5/Dvector.java (1.5), trees/m5/Errors.java (1.5),
	trees/m5/Function.java (1.5), trees/m5/Impurity.java (1.5),
	trees/m5/Ivector.java (1.5), trees/m5/M5Prime.java (1.18),
	trees/m5/M5Utils.java (1.5), trees/m5/Matrix.java (1.6),
	trees/m5/Measures.java (1.6), trees/m5/Node.java (1.7),
	trees/m5/Options.java (1.5), trees/m5/SplitInfo.java (1.5),
	trees/m5/Values.java (1.5): shifted packages

2001-11-07 17:02  rkirkby

	* weka/classifiers/: IB1.java (1.9), IBk.java (1.19),
	KernelDensity.java (1.7), LWR.java (1.11), DecisionStump.java
	(1.13), DecisionTable.java (1.23), Id3.java (1.8), OneR.java
	(1.14), Prism.java (1.13), UserClassifier.java (1.9), ZeroR.java
	(1.7), LeastMedSq.java (1.4), LinearRegression.java (1.14),
	Logistic.java (1.17), NaiveBayes.java (1.10), NaiveBayesSimple.java
	(1.9), SMO.java (1.25), VotedPerceptron.java (1.12),
	AdaBoostM1.java (1.14), AdditiveRegression.java (1.8),
	AttributeSelectedClassifier.java (1.9), Bagging.java (1.16),
	CVParameterSelection.java (1.14), ClassificationViaRegression.java
	(1.11), Cleanser.java (1.3), CostSensitiveClassifier.java (1.12),
	DistributionMetaClassifier.java (1.7), FilteredClassifier.java
	(1.15), LogitBoost.java (1.20), MetaCost.java (1.9),
	MultiClassClassifier.java (1.25), MultiScheme.java (1.11),
	OrdinalClassClassifier.java (1.4), RegressionByDiscretization.java
	(1.15), Stacking.java (1.15), HyperPipes.java (1.8),
	ThresholdSelector.java (1.24), VFI.java (1.6): removed from here

2001-11-02 13:49  mhall

	* weka/clusterers/SimpleKMeans.java (1.8): Fixed bug in initial
	centriod selection

2001-11-02 13:33  rkirkby

	* weka/gui/explorer/Explorer.java (1.20): Made classify and cluster
	panels enabled at launch now that saving and loading is possible.

2001-11-02 13:31  rkirkby

	* weka/gui/explorer/: ClassifierPanel.java (1.46),
	ClustererPanel.java (1.32): Added ability to save and load models.

2001-11-02 13:25  rkirkby

	* weka/: core/AttributeStats.java (1.6), experiment/Stats.java
	(1.9): Made serializable so new Cobweb models can be saved.

2001-11-01 18:21  rkirkby

	* weka/classifiers/trees/j48/Stats.java (1.6): Has been rewritten.

2001-11-01 18:19  rkirkby

	* weka/core/Statistics.java (1.5): Rewritten using CERN Jet code.

2001-11-01 17:25  rrb

	* weka/classifiers/bayes/tst.txt (1.3): test end

2001-11-01 17:24  rrb

	* weka/classifiers/bayes/tst.txt (1.2): test ci

2001-11-01 17:23  rrb

	* weka/classifiers/bayes/tst.txt (1.1): test

2001-11-01 11:44  mhall

	* weka/gui/GenericObjectEditor.props (1.41): Added BayesNet.

2001-11-01 11:43  mhall

	* weka/classifiers/bayes/Makefile (1.1): Initial import.

2001-11-01 11:43  mhall

	* weka/classifiers/bayes/: BayesNet.java (1.2), BayesNetB.java
	(1.2), BayesNetB2.java (1.2), DiscreteEstimatorBayes.java (1.2),
	ParentSet.java (1.2), Scoreable.java (1.2): Set indentation to two
	spaces and made the scoreType property of BayesNet more GUI
	friendly.

2001-11-01 11:27  rkirkby

	* weka/core/ContingencyTables.java (1.5): Replaced chiCell()
	function.

2001-10-31 15:10  mhall

	* weka/gui/GenericObjectEditor.props (1.43): Added BayesNetB

2001-10-31 15:01  mhall

	* weka/gui/GenericObjectEditor.props (1.42): [no log message]

2001-10-29 12:34  eibe

	* weka/estimators/DiscreteEstimator.java (1.5): Added constructor.

2001-10-26 16:13  rkirkby

	* weka/classifiers/bayes/: ParentSet.java (1.1), Scoreable.java
	(1.1): Initial import.

2001-10-26 16:10  rkirkby

	* weka/classifiers/bayes/: BayesNet.java (1.1), BayesNetB.java
	(1.1), BayesNetB2.java (1.1), DiscreteEstimatorBayes.java (1.1):
	Initial import.

2001-10-18 17:30  mhall

	* weka/build.xml (1.1): Ant build file for weka. Initial import.

2001-10-16 13:17  rkirkby

	* weka/core/Utils.java (1.32): Improved error output on parsing
	options when a lone '-' is encountered.

2001-10-10 14:36  mhall

	* weka/clusterers/Cobweb.java (1.13): Improved the category utility
	computation for the split operation.

2001-10-04 13:43  trigg

	* weka/filters/SpreadSubsampleFilter.java (1.10): Quieter
	operation.

2001-10-04 13:43  trigg

	* weka/filters/FirstOrderFilter.java (1.15): Fixed for date
	attributes.

2001-10-04 13:42  trigg

	* weka/core/Attribute.java (1.25): Fixed copy method for date
	attributes.

2001-10-03 17:38  trigg

	* weka/filters/AttributeTypeFilter.java (1.11): Fixed bug in how
	output attributes were created.

2001-10-02 16:48  mhall

	* weka/gui/GenericObjectEditor.java (1.27): Added a check to
	prevent itemStateChanged from creating a new object (with default
	values) when the current object and the selected item are the same
	type. Events fired when creating a new GenericObjectEditor were
	causing the object to be configured to be overwritten.

2001-10-01 15:50  rkirkby

	* weka/classifiers/trees/m5/Matrix.java (1.5): Optimized the matrix
	multiply function. Credit goes to Ken Geis for sharing his code
	with us.

2001-09-28 16:30  rkirkby

	* weka/classifiers/lazy/kstar/KStar.java (1.8): Fixed case where
	predicted distribution of an instance sums to zero. Was throwing an
	exception when normalizing the array.

2001-09-26 10:29  rkirkby

	* weka/classifiers/trees/m5/M5Prime.java (1.17): Disallowed illegal
	combination of smoothing on a non-model tree in the GUI.

2001-09-20 13:45  mhall

	* weka/gui/GenericObjectEditor.props (1.40): Removed an unecessary
	extra space following a property value.

2001-09-17 15:08  rkirkby

	* weka/classifiers/Makefile (1.27): Added BVDecompose which should
	have been there long ago.

2001-09-06 14:13  trigg

	* weka/: core/Attribute.java (1.24), core/Instance.java (1.14),
	core/Instances.java (1.34), experiment/InstanceQuery.java (1.12),
	experiment/InstancesResultListener.java (1.6): Added date
	attributes. These are specified in the arff header as:
	
	@attribute <name> date [<format>]
	
	<name> is the name for the attribute <format> is an optional string
	specifying how date values should be parsed/printed (this is the
	same format used by SimpleDateFormat). The default format string
	accepts the ISO-8601 combined date and time format:
	"yyyy-MM-dd'T'HH:mm:ss".
	
	and specified in the data section as the corresponding string
	representations of the date/time. Here's a simple example:
	
	@RELATION timetest @ATTRIBUTE timestamp DATE
	"yyyy-MM-dd'T'HH:mm:ss" @DATA 2001-04-03T12:12:12
	2001-05-03T12:59:55
	
	Date attributes return true for isNumeric(). (the double value
	stored in each Instance is the double representation of
	Date.getTime()).
	
	The database support (in InstanceQuery) for dates is implemented
	but needs to be tested.

2001-08-31 11:15  trigg

	* weka/: associations/Apriori.java (1.12),
	attributeSelection/BestFirst.java (1.20),
	attributeSelection/CfsSubsetEval.java (1.15),
	attributeSelection/ChiSquaredAttributeEval.java (1.5),
	attributeSelection/ClassifierSubsetEval.java (1.5),
	attributeSelection/ExhaustiveSearch.java (1.7),
	attributeSelection/ForwardSelection.java (1.14),
	attributeSelection/GainRatioAttributeEval.java (1.13),
	attributeSelection/GeneticSearch.java (1.11),
	attributeSelection/InfoGainAttributeEval.java (1.12),
	attributeSelection/PrincipalComponents.java (1.17),
	attributeSelection/RaceSearch.java (1.9),
	attributeSelection/RandomSearch.java (1.10),
	attributeSelection/RankSearch.java (1.7),
	attributeSelection/Ranker.java (1.18),
	attributeSelection/ReliefFAttributeEval.java (1.13),
	attributeSelection/SymmetricalUncertAttributeEval.java (1.12),
	attributeSelection/WrapperSubsetEval.java (1.14),
	classifiers/AdaBoostM1.java (1.13),
	classifiers/meta/AdaBoostM1.java (1.13),
	classifiers/AdditiveRegression.java (1.7),
	classifiers/AttributeSelectedClassifier.java (1.8),
	classifiers/BVDecompose.java (1.7), classifiers/Bagging.java
	(1.15), classifiers/CVParameterSelection.java (1.13),
	classifiers/CheckClassifier.java (1.13),
	classifiers/ClassificationViaRegression.java (1.10),
	classifiers/Cleanser.java (1.2),
	classifiers/CostSensitiveClassifier.java (1.11),
	classifiers/DecisionTable.java (1.22),
	classifiers/DistributionMetaClassifier.java (1.6),
	classifiers/FilteredClassifier.java (1.14), classifiers/IBk.java
	(1.18), classifiers/lazy/IBk.java (1.18),
	classifiers/meta/AdditiveRegression.java (1.7),
	classifiers/meta/AttributeSelectedClassifier.java (1.8),
	classifiers/meta/Bagging.java (1.15),
	classifiers/meta/CVParameterSelection.java (1.13),
	classifiers/meta/ClassificationViaRegression.java (1.10),
	classifiers/meta/Cleanser.java (1.2),
	classifiers/meta/CostSensitiveClassifier.java (1.11),
	classifiers/meta/DistributionMetaClassifier.java (1.6),
	classifiers/meta/FilteredClassifier.java (1.14),
	classifiers/rules/DecisionTable.java (1.22), classifiers/LWR.java
	(1.10), classifiers/LeastMedSq.java (1.3),
	classifiers/LinearRegression.java (1.13), classifiers/Logistic.java
	(1.16), classifiers/LogitBoost.java (1.19),
	classifiers/MetaCost.java (1.8),
	classifiers/MultiClassClassifier.java (1.24),
	classifiers/MultiScheme.java (1.10), classifiers/NaiveBayes.java
	(1.9), classifiers/OneR.java (1.13),
	classifiers/OrdinalClassClassifier.java (1.3),
	classifiers/RegressionByDiscretization.java (1.14),
	classifiers/SMO.java (1.24), classifiers/Stacking.java (1.14),
	classifiers/ThresholdSelector.java (1.23),
	classifiers/bayes/NaiveBayes.java (1.9),
	classifiers/functions/LeastMedSq.java (1.3),
	classifiers/functions/LinearRegression.java (1.13),
	classifiers/functions/Logistic.java (1.16),
	classifiers/functions/SMO.java (1.24), classifiers/lazy/LWR.java
	(1.10), classifiers/meta/LogitBoost.java (1.19),
	classifiers/meta/MetaCost.java (1.8),
	classifiers/meta/MultiClassClassifier.java (1.24),
	classifiers/meta/MultiScheme.java (1.10),
	classifiers/meta/OrdinalClassClassifier.java (1.3),
	classifiers/meta/RegressionByDiscretization.java (1.14),
	classifiers/meta/Stacking.java (1.14),
	classifiers/meta/ThresholdSelector.java (1.23),
	classifiers/rules/OneR.java (1.13), classifiers/VFI.java (1.5),
	classifiers/VotedPerceptron.java (1.11),
	classifiers/functions/VotedPerceptron.java (1.11),
	classifiers/functions/neural/NeuralNetwork.java (1.6),
	classifiers/lazy/kstar/KStar.java (1.7), classifiers/misc/VFI.java
	(1.5), classifiers/rules/part/PART.java (1.15),
	classifiers/trees/adtree/ADTree.java (1.3),
	classifiers/trees/j48/J48.java (1.23),
	classifiers/trees/m5/M5Prime.java (1.16), clusterers/Cobweb.java
	(1.12), clusterers/DistributionMetaClusterer.java (1.5),
	clusterers/EM.java (1.15), clusterers/SimpleKMeans.java (1.7),
	core/OptionHandler.java (1.6),
	experiment/AveragingResultProducer.java (1.14),
	experiment/CSVResultListener.java (1.8),
	experiment/ClassifierSplitEvaluator.java (1.15),
	experiment/CostSensitiveClassifierSplitEvaluator.java (1.8),
	experiment/CrossValidationResultProducer.java (1.12),
	experiment/DatabaseResultProducer.java (1.14),
	experiment/Experiment.java (1.17),
	experiment/LearningRateResultProducer.java (1.5),
	experiment/RandomSplitResultProducer.java (1.14),
	experiment/RegressionSplitEvaluator.java (1.14),
	filters/AbstractTimeSeriesFilter.java (1.6), filters/AddFilter.java
	(1.17), filters/AttributeExpressionFilter.java (1.11),
	filters/AttributeFilter.java (1.17),
	filters/AttributeSelectionFilter.java (1.20),
	filters/AttributeTypeFilter.java (1.10),
	filters/CopyAttributesFilter.java (1.11),
	filters/DiscretizeFilter.java (1.17), filters/FirstOrderFilter.java
	(1.14), filters/InstanceFilter.java (1.11),
	filters/MakeIndicatorFilter.java (1.15),
	filters/MergeTwoValuesFilter.java (1.10),
	filters/NominalToBinaryFilter.java (1.17),
	filters/NumericTransformFilter.java (1.14),
	filters/RandomizeFilter.java (1.8), filters/ResampleFilter.java
	(1.11), filters/SplitDatasetFilter.java (1.13),
	filters/SpreadSubsampleFilter.java (1.9),
	filters/SwapAttributeValuesFilter.java (1.12): Autofixed some more
	javadoc warnings.

2001-08-31 11:10  trigg

	* weka/: attributeSelection/GeneticSearch.java (1.10),
	classifiers/trees/m5/Measures.java (1.5),
	classifiers/trees/m5/Node.java (1.6), core/Attribute.java (1.23),
	core/Option.java (1.5), core/Utils.java (1.31),
	experiment/Experiment.java (1.16), experiment/RemoteExperiment.java
	(1.10): Autofixed a bunch more javadoc warnings.

2001-08-31 10:52  trigg

	* weka/gui/ExtensionFileFilter.java (1.4): Fixed a javadoc warning.

2001-08-31 09:17  trigg

	* weka/: attributeSelection/AttributeTransformer.java (1.6),
	attributeSelection/RankedOutputSearch.java (1.9),
	attributeSelection/StartSetHandler.java (1.6),
	classifiers/IterativeClassifier.java (1.2),
	classifiers/LeastMedSq.java (1.2), classifiers/Sourcable.java
	(1.4), classifiers/evaluation/Prediction.java (1.5),
	classifiers/functions/LeastMedSq.java (1.2),
	classifiers/functions/neural/NeuralMethod.java (1.3),
	classifiers/lazy/kstar/KStarConstants.java (1.4),
	classifiers/rules/part/ClassifierDecList.java (1.6),
	core/AdditionalMeasureProducer.java (1.6), core/Copyable.java
	(1.5), core/Drawable.java (1.5), core/Matchable.java (1.5),
	core/OptionHandler.java (1.5), core/Summarizable.java (1.5),
	core/converters/Loader.java (1.4), estimators/Estimator.java (1.5),
	experiment/RemoteExperimentListener.java (1.4),
	experiment/ResultListener.java (1.6),
	experiment/ResultProducer.java (1.6),
	experiment/SplitEvaluator.java (1.6), experiment/Task.java (1.6),
	filters/AbstractTimeSeriesFilter.java (1.5), gui/GUIChooser.java
	(1.8), gui/Logger.java (1.4), gui/TaskLogger.java (1.4),
	gui/streams/InstanceProducer.java (1.4),
	gui/treevisualizer/NodePlace.java (1.4),
	gui/treevisualizer/TreeDisplayListener.java (1.4),
	gui/visualize/AttributePanelListener.java (1.4),
	gui/visualize/Plot2DCompanion.java (1.4),
	gui/visualize/VisualizePanelListener.java (1.4): Fixed a smegload
	of jikes pedantic compiler warnings with the following command :-)
	
	[len@nepenthes weka]$ jikesall 2>&1 | grep "The use of" | sed
	's/\([^:]*\):\([^:]*\)[^"]*"\([^"]*\).*/\1 \2 \3/g' | gawk
	'{file=$1; if (file!=lastfile) {if (lastfile!="")printf">%s.old; mv
	%s.old %s\n",lastfile,lastfile,lastfile;printf"cat
	%s",file};printf" | gawk %c{if(NR==%s)print gensub(\"%s
	\",\"\",1);else print \$0}%c",39,$2,$3,39;lastfile=file}END{if
	(lastfile!="")printf">%s.old; mv %s.old
	%s\n",lastfile,lastfile,lastfile}' | sh
	
	(Can you tell I'm proud of it :-))
	
	Suggest use of +P -deprecation options with jikes as regular
	procedure.

2001-08-24 13:36  rkirkby

	* weka/classifiers/: Logistic.java, functions/Logistic.java
	(stable-3-2-1.[1,1]): Now calculates log-likelihood of null
	hypothesis, fixing chi-squared output.

2001-08-24 13:27  rkirkby

	* weka/classifiers/: Logistic.java (1.15), functions/Logistic.java
	(1.15): Now calculates log-likelihood of null hypothesis, fixing
	chi-squared output.

2001-08-17 08:43  mhall

	* weka/gui/GUIChooser.java (1.7): Updated copyright date to include
	2001.

2001-08-16 12:27  rkirkby

	* weka/classifiers/: Logistic.java (1.14), functions/Logistic.java
	(1.14): Replaced old version with new multiclass version.

2001-08-09 11:04  rkirkby

	* weka/gui/explorer/: AssociationsPanel.java (stable-3-2-1.1),
	AssociationsPanel.java (1.14): Fixed stop button.

2001-08-08 14:10  rkirkby

	* weka/classifiers/: OneR.java (1.12), rules/OneR.java (1.12):
	Fixed a bug in the toString() method that would occur when a
	numeric attribute has no breakpoints.

2001-07-26 13:55  eibe

	* weka/gui/GenericObjectEditor.props (1.39): OrdinalClassClassifier
	was missing

2001-07-26 13:54  eibe

	* weka/classifiers/: OrdinalClassClassifier.java (1.2),
	meta/OrdinalClassClassifier.java (1.2): Fixed conceptual bug in
	computation of probability estimates.

2001-07-06 12:56  mhall

	* weka/experiment/Stats.java (1.8): Added method to subtract a
	value n times.

2001-07-06 12:52  mhall

	* weka/gui/explorer/ClustererPanel.java (1.31): Added support for
	visualizing the trees that Cobweb can now produce.

2001-07-06 12:50  mhall

	* weka/clusterers/Cobweb.java (1.11): Complete rewrite.

2001-07-06 12:26  eibe

	* weka/Makefile (1.33): Modified javadoc generation to put link to
	our homepage on packages page.

2001-07-06 11:33  eibe

	* weka/gui/GenericObjectEditor.props (1.38): Added
	StringToWordVectorFilter to GenericObjectEditor.props.

2001-07-06 11:31  eibe

	* weka/filters/Makefile (1.20): Added StringToWordVectorFilter to
	Makefile.
	

